Retrieve an account
Authentication
Use Bearer {{token}} in the Authorization header for authentication.
Path parameters
Headers
Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.
Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').
An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.
The minor API version.
For a list of available minor versions, see API upgrades.
Response headers
This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
application/jsonapplication/xmltext/htmltext/csvtext/plain
The request limit quota for the time window closest to exhaustion. See rate limits for more information.
The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.
The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.
The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.
For more information, see Concurrent request limits.
The total number of the permitted concurrent requests.
For more information, see Concurrent request limits.
The remaining number of the permitted concurrent requests.
For more information, see Concurrent request limits.
Response
Container for basic information about the account.
Notes:
- In the “Retrieve an order” operation, if the
getAccountDetailsquery parameter is set totrue, the subscription owner account detailssubscriptionOwnerAccountDetailsand invoice owner account detailsexistingAccountDetailswill be in the response. - In the “Retrieve a subscription by key” operation, the returned result differs based on the following query parameters:
- If the
getSubscriptionOwnerDetailsquery parameter is set totrue, the subscription owner account detailsaccountOwnerDetailswill be in the response. - If the
getInvoiceOwnerDetailsquery parameter is set totrue, the invoice owner account detailsinvoiceOwnerAccountDetailswill be in the response. - If both query parameters are set to
true, the subscription owner account detailsaccountOwnerDetailsand invoice owner account detailsinvoiceOwnerAccountDetailswill be in the response.
- If the
Container for bill-to contact information.
Container for e-invoicing profile information for this account.
Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled.
Returns true if the applicable billing accounts were was processed successfully for gateway routing .
Container for account metrics of the account’s default currency.
If you have the Multiple Currencies feature enabled, the metricsData field provides account metrics of different currencies.
Container for account metrics of different currencies. Note: This field is available only if you have the Multiple Currencies feature enabled.
Container for ship-to contact information. Uses the same field structure as billToContact.
Container for sold-to contact information. Uses the same field structure as billToContact.
Returns true if the request was processed successfully.